org.apache.ivy.core.pack

## Class StreamPacking

- java.lang.Object
- - org.apache.ivy.core.pack.ArchivePacking
  - - org.apache.ivy.core.pack.StreamPacking

Direct Known Subclasses:
  Pack200Packing

    public abstract class StreamPacking
    extends ArchivePacking

### Constructor Summary

Constructors
Constructor and Description
`StreamPacking()`

### Method Summary

Methods
`abstract java.io.InputStream` `unpack(java.io.InputStream packed)`
`void` `unpack(java.io.InputStream packed, java.io.File dest)`

### Methods inherited from class org.apache.ivy.core.pack.ArchivePacking

`getNames, getUnpackedExtension`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamPacking

    public StreamPacking()

### Method Detail

#### unpack

    public abstract java.io.InputStream unpack(java.io.InputStream packed)
                                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### unpack

    public void unpack(java.io.InputStream packed,
              java.io.File dest)
                throws java.io.IOException

Specified by:
  `unpack` in class `ArchivePacking`
Throws:
  `java.io.IOException`